FROM greyrook/cde-dev-py37:$CI_COMMIT_SHA

RUN curl https://storage.googleapis.com/kubernetes-release/release/v1.13.3/bin/linux/amd64/kubectl > /usr/local/bin/kubectl && \
    chmod +x /usr/local/bin/kubectl

COPY Pipfile Pipfile.lock /
RUN pipenv install --system && \
    docker_run_cleanup

RUN curl https://releases.hashicorp.com/terraform/0.11.11/terraform_0.11.11_linux_amd64.zip > /tmp/terraform.zip && \
    cd /usr/local/bin/ && \
    unzip /tmp/terraform.zip && \
    chmod +x terraform && \
    rm /tmp/terraform.zip

RUN curl http://storage.googleapis.com/kubernetes-helm/helm-v2.12.3-linux-amd64.tar.gz | tar -xzO linux-amd64/helm > /usr/local/bin/helm && \
    chmod +x /usr/local/bin/helm
